<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
  <meta charset="UTF-8">

  <!-- Bootstrap CSS -->
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.1/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-+0n0xVW2eSR5OomGNYDnhzAbDsOXxcvSN1TPprVMTNDbiYZCxYbOOl7+AMvyTG2x" crossorigin="anonymous">

  <title>Ejercicio de base de datos</title>
</head>
<body>

<div class="col-lg-8 mx-auto p-3 py-md-5">
  <header class="d-flex align-items-center pb-3 mb-5 border-bottom">
    <a href="/" class="d-flex align-items-center text-dark text-decoration-none">
      <span class="fs-4">Ejercicio de base de datos</span>
    </a>
  </header>

  <main>

    <a th:href="@{/agregar}" class="btn btn-primary">Crear un usuario</a>

    <div th:if="${personas != null and !personas.empty}">

      <h1>Listado de ususarios registrados</h1>

      <table class="table">
        <thead>
        <tr>
          <th scope="col">#</th>
          <th scope="col">Nombre</th>
          <th scope="col">Apellido</th>
          <th scope="col">Correo</th>
          <th scope="col">Editar</th>
          <th scope="col">Eliminar</th>
        </tr>
        </thead>
        <tbody>
        <tr th:each="persona : ${personas}">
          <td scope="row" th:text="${persona.nombre}">Mostrar Nombre</td>
          <td th:text="${persona.apellido}">Mostrar Apellido</td>
          <td th:text="${persona.email}">Mostrar Email</td>
          <td th:text="${persona.telefono}">Mostrar Teléfono</td>
          <td>
            <a th:href="@{/editar/} + ${persona.idPersona}" class="btn btn-warning">
              Editar
            </a>
          </td>
          <td>
            <a th:href="@{/eliminar/} + ${persona.idPersona}" class="btn btn-danger">
              Eliminar
            </a>
          </td>
        </tr>
        </tbody>
      </table>
    </div>


  </main>
</div>

<!-- Option 1: Bootstrap Bundle with Popper -->
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.1/dist/js/bootstrap.bundle.min.js"
        integrity="sha384-gtEjrD/SeCtmISkJkNUaaKMoLD0//ElJ19smozuHV6z3Iehds+3Ulb9Bn9Plx0x4"
        crossorigin="anonymous"></script>
</body>
</html>